POST RefundOrder
This API is developed to Refund Previous Order.\r\n Order Refund Amount cannot exceed the sum of purchase amount and service charge.
Request Information
URI Parameters
None.
Body Parameters
APIRefundRequestModel| Name | Description | Type | Additional information |
|---|---|---|---|
| OriginalOrderId | string |
None. |
|
| RefundAmount | decimal number |
None. |
|
| DisablePin | boolean |
None. |
|
| Note | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"originalOrderId": "sample string 1",
"refundAmount": 2.1,
"disablePin": true,
"note": "sample string 4"
}
application/xml, text/xml
Sample:
<APIRefundRequestModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RazaModels.APIModels"> <DisablePin>true</DisablePin> <Note>sample string 4</Note> <OriginalOrderId>sample string 1</OriginalOrderId> <RefundAmount>2.1</RefundAmount> </APIRefundRequestModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |